MONGOC_CLIENT_SESSION_GET_CLUSTER_TIME(3)

NAME
mongoc_client_session_get_cluster_time - mongoc_client_session_get_cluster_time()

SYNOPSIS

        const bson_t *
        mongoc_client_session_get_cluster_time (const mongoc_client_session_t *session);

Get the session's clusterTime as a BSON document.

PARAMETERS

    •   session: A mongoc_client_session_t.

RETURNS

If the session has not been used for any operation and mongoc_client_session_advance_cluster_time() has not been called, a bson_t that is valid only for the lifetime of session. Otherwise, NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc